Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.rest.domain
Class HtmlHelper

    java.lang.Object
      org.neo4j.server.rest.domain.HtmlHelper

    public class HtmlHelper

extends Object

This is just a simple test of how a HTML renderer could be like

Nested Class Summary
`static class` | `HtmlHelper.ObjectType`

Constructor Summary
`HtmlHelper()`

Method Summary
`static void` | `append(StringBuilder builder, Object object, HtmlHelper.ObjectType objectType)`
`static void` | `appendMessage(StringBuilder builder, String message)`
`static String` | `end(StringBuilder builder)`
`static String` | `from(Object object, HtmlHelper.ObjectType objectType)`
`static StringBuilder` | `start(HtmlHelper.ObjectType objectType, String additionalCodeInHead)`
`static StringBuilder` | `start(String title, String additionalCodeInHead)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlHelper

    public HtmlHelper()

Method Detail

### from

    public static String from(Object object,
                              HtmlHelper.ObjectType objectType)

### start

    public static StringBuilder start(HtmlHelper.ObjectType objectType,
                                      String additionalCodeInHead)

### start

    public static StringBuilder start(String title,
                                      String additionalCodeInHead)

### end

    public static String end(StringBuilder builder)

### appendMessage

    public static void appendMessage(StringBuilder builder,
                                     String message)

### append

    public static void append(StringBuilder builder,
                              Object object,
                              HtmlHelper.ObjectType objectType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.